be.ehealth.businessconnector.mediprimauma.session.impl

## Class MediprimaUmaServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mediprimauma.session.impl.MediprimaUmaServiceImpl

- All Implemented Interfaces:
    MediprimaUmaService

      public class MediprimaUmaServiceImpl
      extends Object
      implements MediprimaUmaService

  Implementation of `MediprimaUmaService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteUrgentMedicalAidAttestationResponse` | `deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request)`
    `SearchUrgentMedicalAidAttestationResponse` | `searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request)`
    `SendUrgentMedicalAidAttestationResponse` | `sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediprimaUmaServiceImpl

          public MediprimaUmaServiceImpl(SessionValidator sessionValidator,
                                         EhealthReplyValidator replyValidator)

  - ### Method Detail

    - #### deleteUrgentMedicalAidAttestation

          public DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request)
                                                                                      throws TechnicalConnectorException,
                                                                                             MediprimaUmaDeleteException

      Specified by:
        `deleteUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaDeleteException`

    - #### searchUrgentMedicalAidAttestation

          public SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request)
                                                                                      throws TechnicalConnectorException,
                                                                                             MediprimaUmaSearchException

      Specified by:
        `searchUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaSearchException`

    - #### sendUrgentMedicalAidAttestation

          public SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request)
                                                                                  throws TechnicalConnectorException,
                                                                                         MediprimaUmaSendException

      Specified by:
        `sendUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaSendException`

Connector Packaging PHYSIOTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.